%define api		1.0
%define major		0
%define girmajor	1.0

%define libname		%mklibname %{name} %{api} %{major}
%define libnamedevel	%mklibname -d %{name} %{api}
%define girname		%mklibname %{name}-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Software library for fast, visually rich GUIs
Name:		clutter
Version:	1.12.2
Release:	%mkrel 2
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		http://clutter-project.org/
BuildRequires:	pkgconfig(atk) >= 2.1.5
BuildRequires:	pkgconfig(cairo-gobject) >= 1.10
BuildRequires:	pkgconfig(cogl-1.0) >= 1.8.0
BuildRequires:	pkgconfig(cogl-pango-1.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.12.0
BuildRequires:	pkgconfig(pangocairo) >= 1.20
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcomposite) >= 0.4
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes) >= 3
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5

%description
Clutter is an open source software library for creating fast, visually rich
graphical user interfaces. The most obvious example of potential usage is in
media center type applications. We hope however it can be used for a lot more.

Clutter uses OpenGL (and soon optionally OpenGL ES) for rendering but with an
API which hides the underlying GL complexity from the developer. The Clutter
API is intended to be easy to use, efficient and flexible. 

#--------------------------------------------------------------------

%package i18n
Summary:	Translations for %{name}
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
This contains the translation data for %{name}.

%files i18n -f %{name}-%{api}.lang

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Software library for fast, visually rich GUIs
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
Obsoletes:	%{mklibname %{name}-glx 1.0 0} < 1.9.2

%description -n %{libname}
Clutter is an open source software library for creating fast, visually rich
graphical user interfaces. The most obvious example of potential usage is in
media center type applications. We hope however it can be used for a lot more.

Clutter uses OpenGL (and soon optionally OpenGL ES) for rendering but with an
API which hides the underlying GL complexity from the developer. The Clutter
API is intended to be easy to use, efficient and flexible. 

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/lib%{name}-glx-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n %{libnamedevel}
Summary:	Development headers/libraries for %{name}
Group:		Development/X11
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-glx-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d %{name}-glx 1.0} < 1.9.2
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedevel}
Development headers/libraries for %{name} (see %{libname} package)

%files -n %{libnamedevel}
%doc %{_datadir}/gtk-doc/html/cally
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/pkgconfig/cally-%{api}.pc
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-gdk-%{api}.pc
%{_libdir}/pkgconfig/%{name}-glx-%{api}.pc
%{_libdir}/pkgconfig/%{name}-cogl-%{api}.pc
%{_libdir}/pkgconfig/%{name}-x11-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/lib%{name}-glx-%{api}.so
%dir %{_includedir}/%{name}-%{api}
%{_includedir}/%{name}-%{api}/cally
%{_includedir}/%{name}-%{api}/%{name}
%{_datadir}/gir-1.0/Cally-%{girmajor}.gir
%{_datadir}/gir-1.0/ClutterGdk-%{girmajor}.gir
%{_datadir}/gir-1.0/Clutter-%{girmajor}.gir
%{_datadir}/gir-1.0/ClutterX11-%{girmajor}.gir

#--------------------------------------------------------------------

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Obsoletes:	%{mklibname %{name}-glx1.0-gir 1.0} < 1.7.4-3
Obsoletes:	%{mklibname %{name}-glx-gir 1.0} < 1.9.2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Cally-%{girmajor}.typelib
%{_libdir}/girepository-1.0/Clutter-%{girmajor}.typelib
%{_libdir}/girepository-1.0/ClutterX11-%{girmajor}.typelib
%{_libdir}/girepository-1.0/ClutterGdk-%{girmajor}.typelib

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--enable-introspection=yes \
	--enable-gdk-backend=yes \
	--enable-x11-backend=yes
%make

%install
rm -rf %{buildroot}

%makeinstall_std
%find_lang %{name}-%{api}

# we don't want these
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.12.2-2.mga3
+ Revision: 347926
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 ovitters <ovitters> 1.12.2-1.mga3
+ Revision: 307552
- update group
- new version 1.12.2

* Mon Sep 24 2012 ovitters <ovitters> 1.12.0-1.mga3
+ Revision: 297168
- new version 1.12.0

* Tue Sep 18 2012 ovitters <ovitters> 1.11.16-1.mga3
+ Revision: 295671
- new version 1.11.16

* Wed Sep 05 2012 colin <colin> 1.11.14-3.mga3
+ Revision: 288400
- Rebuild for missing i586 pkgs

* Tue Sep 04 2012 ovitters <ovitters> 1.11.14-2.mga3
+ Revision: 288211
- rebuild due to new gobject-introspection, changing API, breaking gnome-shell

* Mon Sep 03 2012 ovitters <ovitters> 1.11.14-1.mga3
+ Revision: 287794
- new version 1.11.14

* Mon Aug 20 2012 ovitters <ovitters> 1.11.12-1.mga3
+ Revision: 282643
- new version 1.11.12

* Tue Aug 07 2012 ovitters <ovitters> 1.11.10-1.mga3
+ Revision: 279711
- new version 1.11.10

* Tue Jul 17 2012 ovitters <ovitters> 1.11.8-1.mga3
+ Revision: 271626
- new version 1.11.8

* Fri Jun 29 2012 ovitters <ovitters> 1.11.6-1.mga3
+ Revision: 265045
- new version 1.11.6

* Tue Jun 19 2012 ovitters <ovitters> 1.10.8-1.mga3
+ Revision: 261910
- new version 1.10.8

* Mon May 28 2012 ovitters <ovitters> 1.10.6-1.mga3
+ Revision: 248506
- new version 1.10.6

* Tue May 01 2012 ovitters <ovitters> 1.10.4-1.mga3
+ Revision: 234435
- new version 1.10.4

* Mon Apr 16 2012 ovitters <ovitters> 1.10.2-1.mga2
+ Revision: 231130
- new version 1.10.2

* Thu Mar 22 2012 ovitters <ovitters> 1.10.0-1.mga2
+ Revision: 225710
- new version 1.10.0

* Mon Mar 19 2012 ovitters <ovitters> 1.9.16-1.mga2
+ Revision: 224388
- new version 1.9.16

* Tue Mar 06 2012 fwang <fwang> 1.9.14-1.mga2
+ Revision: 219612
- new version 1.9.14

* Thu Feb 23 2012 ovitters <ovitters> 1.9.12-1.mga2
+ Revision: 212676
- new version

* Wed Feb 22 2012 wally <wally> 1.9.10-3.git20120222.1.mga2
+ Revision: 212368
- use latest git snapshot
- rebuild for new cogl

* Sun Feb 12 2012 ovitters <ovitters> 1.9.10-2.mga2
+ Revision: 208015
- drop patch1, fixed differently upstream (bgo#669876)

  + fwang <fwang>
    - set i18n package as noarch

* Mon Feb 06 2012 wally <wally> 1.9.10-1.mga2
+ Revision: 205443
- new version 1.9.10

* Tue Jan 24 2012 fwang <fwang> 1.9.8-1.mga2
+ Revision: 200616
- new version 1.9.8

* Thu Jan 19 2012 ovitters <ovitters> 1.9.6-1.mga2
+ Revision: 198166
- new version

* Tue Jan 17 2012 wally <wally> 1.9.4-1.mga2
+ Revision: 197438
- new versio 1.9.4
- drop patch from upstream (P0)
- add patch to fix linking (P1)

* Tue Jan 17 2012 fwang <fwang> 1.9.2-2.mga2
+ Revision: 197215
- add upstream patch to build with latest cogl
- rebuild for new cogl

* Tue Nov 22 2011 wally <wally> 1.9.2-1.mga2
+ Revision: 171007
- enable gdk backend
- new version 1.9.2
- rename pkgs
- clean old obsoletes/provides/conflicts

* Mon Oct 17 2011 fwang <fwang> 1.8.2-1.mga2
+ Revision: 155715
- new version 1.8.2

  + wally <wally>
    - bump cogl dep

* Mon Sep 19 2011 wally <wally> 1.8.0-1.mga2
+ Revision: 145723
- new version 1.8.0

* Mon Sep 19 2011 wally <wally> 1.7.90-2.mga2
+ Revision: 145679
- rebuild for new cogl

* Mon Sep 12 2011 fwang <fwang> 1.7.90-1.mga2
+ Revision: 142728
- new version 1.7.90

* Tue Sep 06 2011 fwang <fwang> 1.7.14-1.mga2
+ Revision: 139345
- new version 1.7.14

* Wed Aug 31 2011 fwang <fwang> 1.7.12-2.mga2
+ Revision: 136927
- rebuild for bs monster

* Tue Aug 30 2011 fwang <fwang> 1.7.12-1.mga2
+ Revision: 136437
- new version 1.7.12
- add upstream patch to build with cogl 1.7.4
- rebuild for new cogl

  + wally <wally>
    - new version 1.7.10
    - new version 1.7.8
    - new version 1.7.6
    - drop patch from upstream
    - don't regenerate gtk-docs on build time

* Fri Jul 08 2011 cjw <cjw> 1.7.4-4.mga2
+ Revision: 119929
- rebuild with rpm-mageia-setup 1.137 to add typelib deps

* Thu Jul 07 2011 wally <wally> 1.7.4-3.mga2
+ Revision: 119846
- fix gir package name

* Tue Jul 05 2011 dmorgan <dmorgan> 1.7.4-2.mga2
+ Revision: 118843
- CLean spec file
  make lib package requires gir package

* Tue Jul 05 2011 wally <wally> 1.7.4-1.mga2
+ Revision: 118699
- new version 1.7.4
- fix libification

* Mon Jul 04 2011 wally <wally> 1.7.2-1.mga2
+ Revision: 118267
- new version 1.7.2
- create a subpackage for gir .typelib
- BR cogl-devel
- clean .spec a bit

* Tue Jun 14 2011 dmorgan <dmorgan> 1.6.16-1.mga2
+ Revision: 106146
- New version 1.6.16

* Thu Jun 09 2011 dmorgan <dmorgan> 1.6.14-2.mga2
+ Revision: 102534
- Do not package .la files

* Wed Jun 08 2011 dmorgan <dmorgan> 1.6.14-1.mga2
+ Revision: 101682
- New version
  Versionnate buildrequires

* Sun Jan 23 2011 pterjan <pterjan> 1.4.0-1.mga1
+ Revision: 35451
- imported package clutter

